## budgie-desktop 10.4+git20171031.10.g9f71bb8

=== meson_options.txt ===
option('with-stateless', type: 'boolean', value: false, description: 'Enable stateless XDG paths')
option('with-polkit', type: 'boolean', value: true, description: 'Enable PolKit support')
option('with-bluetooth', type: 'boolean', value: true, description: 'Enable gnome-bluetooth support')
option('with-gtk-doc', type: 'boolean', value: true, description: 'Build gtk-doc documentation')
