=== subprojects/gvc/meson_options.txt ===
option('package-name',
  type: 'string',
  value: '',
  description: 'The value for the GETTEXT_PACKAGE define.'
)

option('package-version',
  type: 'string',
  value: '',
  description: 'The value for the PACKAGE_VERSION define.'
)

option('pkglibdir',
  type: 'string',
  value: '',
  description: 'The private directory the shared library/typelib will be installed into.'
)

option('pkgdatadir',
  type: 'string',
  value: '',
  description: 'The private directory the gir file will be installed into.'
)

option('static',
  type: 'boolean',
  value: false,
  description: 'Build as a static library.'
)

option('with-introspection',
  type: 'boolean',
  value: false,
  description: 'Build gobject-introspection support'
)
