## budgie-desktop 10.2.7

=== debian/changelog ===
budgie-desktop (10.2.7-3) unstable; urgency=medium

  * Drop patch to stop refresh of menus
  * replace dropped patch with gsettings override to hide menu headers
    - menu crash traced to menu headers; by hiding the menu header
      panel does not crash when installing or removing applications
      upstream issue #632
  * Add upstream patch to stop spamming of log
    - 0004-panel-Chain-methods-to-fix-GtkBox-allocation-spam-ev.patch
  * Add upstream patch to fix GTK+3.22 theme display
    - 0005-Fix-theme-for-GTK-3.22.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 09 Oct 2016 20:32:29 +0100

budgie-desktop (10.2.7-2) unstable; urgency=medium

  * Add patch to fix crash
    - 0003 - update to upower 0.99API to stop panel crash

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 15 Sep 2016 21:43:21 +0100

budgie-desktop (10.2.7-1) unstable; urgency=medium

  * New upstream release
    - upstream release 10.2.7
  * Add upstream recommended patch
    - 0001 - fix icontask lisk spacing after reboot
  * add patch to stop budgie-panel menu crash on apt refresh
  * add volume patch
    - 0002 - fix volume usability for panel indicator
  * Packaging changes
    - drop patches gtk-link and GNOME 3.22 build since
      these are included in the 10.2.7 release
    - add new dependency required for build libaccountsservice-dev
    - revised debian/copyright

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 12 Sep 2016 20:43:29 +0100

budgie-desktop (10.2.6-2) unstable; urgency=medium

  * Bug-fix release
  * bug-fix for GNOME 3.22 build (Closes: #837077)
    - add upstream maintainer patch to enable build due to mutter api change
  * bug-fix for nm-applet dbus-launch (Closes: #836083)
    - replace dbus-launch with dbus-run-session to display nm-applet
      on budgie-desktop panel
  * Packaging changes
    - maintainer change of email address
  * inc patch to display budgie-icon for lightdm greeter (LP:#1562182)

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 10 Sep 2016 12:36:58 +0100

budgie-desktop (10.2.6-1) unstable; urgency=medium

  * Initial Release (Closes: #828765)

 -- David Mohammed <foss.freedom@gmail.com>  Fri, 15 Jul 2016 15:53:24 +0100
