=== debian/control ===
Source: budgie-desktop
Section: x11
Priority: optional
Maintainer: David Mohammed <fossfreedom@ubuntu.com>
Homepage: https://solus-project.com/budgie/
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 gir1.2-gee-0.8,
 gnome-common,
 gobject-introspection,
 gtk-doc-tools,
 libgee-0.8-dev,
 libglib2.0-dev,
 libgnome-bluetooth-dev (>= 3.16),
 libgnome-desktop-3-dev,
 libgnome-menu-3-dev,
 libgtk-3-dev,
 libmutter-dev (>= 3.16),
 libpeas-dev,
 libpolkit-agent-1-dev,
 libpolkit-gobject-1-dev,
 libpulse-dev,
 libpulse-mainloop-glib0,
 libupower-glib-dev,
 libwnck-3-dev,
 uuid-dev,
 libc6-dev (>= 2.23),
 libgdk-pixbuf2.0-dev,
 libaccountsservice-dev,
 valac
Standards-Version: 3.9.8
Vcs-Browser: https://github.com/budgie-remix/budgie-desktop/tree/debian
Vcs-Git: https://github.com/budgie-remix/budgie-desktop -b debian

Package: budgie-core
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Core package for Budgie-Desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based 
 sub-systems such as GNOME-Session and Mutter.
 .
 This is the base package for budgie-desktop.  This package provides:
  GNOME Network Manager autostart file specifically for Budgie
  budgie-desktop plugins
  locales and icons for budgie-desktop
  budgie-desktop executables
  GLib schemas for budgie-desktop
  Session file for budgie-desktop

Package: budgie-core-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-budgie-desktop-1.0 (= ${binary:Version}),
 libbudgie-plugin0 (= ${binary:Version}),
 libbudgietheme0 (= ${binary:Version}),
 libraven0 (= ${binary:Version}),
 libglib2.0-dev,
 libgtk-3-dev,
 libpeas-dev,
 ${misc:Depends}
Suggests: budgie-desktop-doc
Description: Development package for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based 
 sub-systems such as GNOME-Session and Mutter.
 .
 This package provides the development files allowing compilation
 through the budgie-desktop API.  This package provides:
  C Header files
  Vala .vapi files
 
Package: budgie-desktop
Architecture: all
Depends:
 budgie-core,
 gir1.2-budgie-desktop-1.0,
 ${misc:Depends},
 gnome-session-bin, 
 gnome-session-common, 
 gnome-settings-daemon, 
 gnome-control-center, 
 gnome-menus 
Description: Desktop package for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based 
 sub-systems such as GNOME-Session and Mutter.
 .
 This package installs the minimal GNOME based package-set together with
 the key budgie-desktop packages to produce a working desktop
 environment. 

Package: budgie-desktop-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends}
Suggests:
 devhelp
Description: documentation files for the budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based 
 sub-systems such as GNOME-Session and Mutter.
 .
 This package contains the API documentation in HTML format

Package: gir1.2-budgie-desktop-1.0
Section: introspection
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${gir:Depends}
Description: GNOME introspection library for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based 
 sub-systems such as GNOME-Session and Mutter.
 .
 This is the introspection library and allows creating plugins in 
 python3, C and Vala

Package: libbudgie-plugin0
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Plugin library for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based 
 sub-systems such as GNOME-Session and Mutter.
 .
 This adds the plugin library to budgie-desktop
 
Package: libbudgietheme0
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Theme library for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based 
 sub-systems such as GNOME-Session and Mutter.
 .
 This adds the theme controls for budgie-desktop
 
Package: libraven0
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Raven library for budgie-desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based 
 sub-systems such as GNOME-Session and Mutter.
 .
 This provides the budgie-desktop user-defined settings called raven.
