=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+relro,+bindnow

# we use make maintainer-clean to remove all generated C files
# and then force another autoreconf/configure to regenerate these
# this allows a no change rebuild to fix any vala compiler changes

build build-arch:
	autoreconf -i
	./configure --prefix=/usr --libdir=/usr/lib --sysconfdir=/etc

binary binary-arch:
	dh_testroot
	dh_auto_install
	dh_install
	dh_installdocs
	dh_installchangelogs
	dh_lintian
	dh_compress
	# remove unneeded build files
	find debian -name \*.la -exec rm {} \;
	find debian -name \*.a -exec rm {} \;
	# correct permissions on build shared object libraries
	find debian -name \*.so* -exec chmod 644 {} \;
	# correct permissions on gtk-doc generated files
	find debian -name \*.html -exec chmod 644 {} \;
	# correct permissions on folders
	find ./debian -type d | xargs chmod 755
	# install override but budgie has to take precedence over
	# gnome-shell defaults
	dh_installgsettings --priority=15
	dh_fixperms
	dh_strip -p budgie-core
	dh_strip -p libbudgie-plugin0
	dh_strip -p libbudgietheme0
	dh_strip -p libraven0
	dh_makeshlibs
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	
%:
	dh $@ --with autoreconf,gir
