## budgie-desktop 10.2.9

=== debian/changelog ===
budgie-desktop (10.2.9-2) unstable; urgency=medium

  * Bug-fix release
    - drop the last two remaining patches since additional
      testing with the new versions of gnome-menus and
      network-manager now in Stretch makes these patches unnecessary
      (Closes: #849595)

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 02 Jan 2017 10:50:32 +0000

budgie-desktop (10.2.9-1) unstable; urgency=medium

  * New upstream release
    - maintenance release - changelog as per release tag
  * Packaging changes:
    - Drop all now obsolete previous patches names 000*
    - add debian/ubuntu specific patch to stop panel crashes
      stop_menu_refresh.diff
    - refresh nm-applet.diff patch due to source filelayout change
    - add to rules to delete non ISO639 zh-Hant locale
    - update debian/copyright due to source filelayout change
    - update debian/copyright to fix duplicate "Sam Sam" entry which
      was causing lintian messages
    - update package for debhelper 10
    - update debian/control for new VCS repo name
    - add network-manager-gnome as a dependency for budgie-desktop since
    - budgie-desktop will crash without this being installed
    - remove unneeded lintian override
    - updated upstream/metadata to reflect new upstream repo name

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 17 Dec 2016 09:46:49 +0000

budgie-desktop (10.2.8-1) unstable; urgency=medium

  * New upstream release
    - GTK+3.22 fixes
    - new places indicator
    - new ibus indicator
    - refreshed panel icons
    - updated translations
    - general fixes for the desktop
  * Packaging changes:
    - Drop all now obsolete previous patches named 000*
    - add new build dependency libibus-1.0-dev
    - Updated debian/copyright with revised info for new source files
    - add recommendation to install gnome-screensaver; screenlock capability
      in budgie-desktop does not work without this package
  * add patch upstream patch to allow the ibus applet to compile:
      0001-Lower-the-ibus-requirement-to-1.5.11-for-our-Debuntu.patch
  * add patch to ensure ibus is connected correctly if already running
      0002-wm-ibus-Always-try-to-use-an-existing-ibus-daemon-if.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 19 Oct 2016 19:38:21 +0100
