=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: David Mohammed <fossfreedom@ubuntu.com>
 Homepage: https://solus-project.com/budgie/
 Build-Depends:
- debhelper (>= 9),
- dh-autoreconf,
+ debhelper (>= 10),
  gir1.2-gee-0.8,
  gnome-common,
  gobject-introspection,
@@ -28,10 +27,11 @@
  libc6-dev (>= 2.23),
  libgdk-pixbuf2.0-dev,
  libaccountsservice-dev,
- valac
+ valac,
+ libibus-1.0-dev (>= 1.5.11)
 Standards-Version: 3.9.8
-Vcs-Browser: https://github.com/budgie-remix/budgie-desktop/tree/debian
-Vcs-Git: https://github.com/budgie-remix/budgie-desktop -b debian
+Vcs-Browser: https://github.com/UbuntuBudgie/budgie-desktop/tree/debian
+Vcs-Git: https://github.com/UbuntuBugie/budgie-desktop -b debian
 
 Package: budgie-core
 Architecture: any
@@ -88,7 +88,9 @@
  gnome-session-common, 
  gnome-settings-daemon, 
  gnome-control-center, 
- gnome-menus 
+ gnome-menus,
+ gnome-screensaver,
+ network-manager-gnome
 Description: Desktop package for budgie-desktop
  Budgie-Desktop is a GTK+ based desktop environment which focuses on
  simplicity and elegance.  It provides a traditional desktop metaphor
