=== debian/watch ===
version=3
https://github.com/solus-project/budgie-desktop/releases .*/?(\d{2}\.\d.\d)\.tar\.xz
