## budgie-desktop 10.4

=== debian/changelog ===
budgie-desktop (10.4-1ubuntu4) artful; urgency=medium

  * Bug-fix release (LP: #1716757)
    - amend 0001-set-settings-window-title-to-match-the-.desktop-name.patch
      include StartupWMClass to force the .desktop wmclass to match
      the settings window class; this ensures plank always caters for
      opening/closing the window and is no longer dependent on how
      plank is launched

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 14 Sep 2017 19:53:04 +0100

budgie-desktop (10.4-1ubuntu3) artful; urgency=medium

  * Bug-fix release (LP: #1716757)
    - patch 0001-set-settings-window-title-to-match-the-.desktop-name.patch
      ensure budgie desktop settings is correctly recognised by docks such
      as plank so that the dock can remove the icon when the window closes

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 12 Sep 2017 20:55:50 +0100

budgie-desktop (10.4-1ubuntu2) artful; urgency=medium

  * Build against libmutter-1-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 30 Aug 2017 12:27:57 -0400

budgie-desktop (10.4-1ubuntu1) artful; urgency=medium

  [ jbicha, fossfreedom ]
  * debian/budgie-desktop.gsettings-override:
    - Readd part of the previous ubuntu3 delta, not yet integrated in Debian

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 29 Aug 2017 23:16:12 +0200

budgie-desktop (10.4-1) unstable; urgency=medium

  * New upstream release
  * Packaging Changes
    - remove all unneeded triggers
    - refresh debian/patches/gsd.patch to merge in upstream changes
    - drop all patches (except for gsd.patch) since now dealt with in new
      release
    - debian/control: standards version 4.0.1
    - debian/control: Add build dependency sassc
    - debian/control: add minimum meson version to build
    - debian/control: Add Build-Depends alternate libmutter-1-dev
      for GNOME 3.26 builds
    - update library symbols files with 10.4 changes
    - Rename binary package gir1.2-budgie-desktop-1.0 to
      match the typelib gir1.2-budgie-1.0; To ensure a smooth upgrade,
      debian/control updated with Replaces/Breaks for the new package
      and budgie-desktop with a restriction for 10.4 and later for the
      new package
    - Add man-page for new binary budgie-desktop-settings
    - Updated debian/copyright for all source files
    - Merge changelog for 10.2.9-3 unstable bug-fix release;
      10.2.9-3 is a hotfix for unstable released after the 10.3.x
      series was uploaded to experimental
    - debian/rules: add override_dh_installchangelogs with
      debian/changelog-announcement.txt to describe
      where to find the upstream announcement and description of changes
    - add budgie-core.lintian-override with comment to describe
      the rpath lintian error

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 18 Aug 2017 17:48:21 +0100
 

budgie-desktop (10.3.1-5) unstable; urgency=high

  * Bug fix release
    - add patch gsd.patch (Closes: #869953)
      Where gnome-settings-daemon version is greater than
      libmutter, the build of budgie-desktop results in an
      invalid gnome-session file.  The patch ensures a valid file
      is created by checking the version of gnome-settings-daemon
      instead of mutter during the build.
   * Packaging Changes:
     - debian/control: Add build dependency for gnome-settings-daemon-dev
       to ensure the patch can determine the version correctly
     - debian/control: Fix the Vcs-Git location typo bugie --> budgie 

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 18 Aug 2017 00:37:52 +0100
 

budgie-desktop (10.3.1-4) unstable; urgency=medium

  * New release for unstable
    Use build 10.3.1-3 for experimental with the following changes:
    - enforce gnome-settings-daemon minimum version >= 3.24
    - release ensures there is a migration path for
      budgie-core to GNOME stack 3.24 (Closes: #869953)

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 28 Jul 2017 19:44:36 +0100

budgie-desktop (10.3.1-3) experimental; urgency=medium

  * Bug-fix release
  * Patches
    - 0005-raven-Only-deal-with-a-device-card-when-it-actually-.patch
      0006-raven-Mirror-the-last-fix-and-ensure-removed-Things-.patch
      Both patches resolve crashes when audio devices such as
      headphones are added.
  * Packaging Changes:
    - remove build-dependency on libc6-dev since this is
      automatically pulled in by build-essential

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 03 Jul 2017 23:39:14 +0100

budgie-desktop (10.3.1-2) experimental; urgency=medium

  * Bug-fix release
  * Patches
    - include-menubar-theme.patch
      correctly style budgie applets that
      use a GTK+ MenuBar
    - 0004-wm-Purge-old-backgrounds-from-the-cache.patch
      resolve memory leak when desktop wallpaper changes
  * Packaging Changes:
    - simplified debian/rules
      manpages moved to budgie-core.manpages; each executable in
      budgie-core now includes a manpage which enables users to
      man the exe name and additionally resolves lintian issues.
      make target and install methods moved to a more their more
      appropriate targets, auto_build and auto_install respectively.
      deleted erroneous override_dh_prep

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 10 Jun 2017 00:28:53 +0100

budgie-desktop (10.3.1-1) experimental; urgency=medium

  * New upstream release
  * Patches
    - fortify: to support detecting run-time issues
    - show_nm-applet_in_tray.patch: Ubuntu specific patch to display the
      network-manager applet
    - 0001-imports-natray-Enforce-minimum-size-of-22px.patch
      Resolve system tray sizing issues
    - 0002-Fix-typo-in-meson.build.patch
      Correct development package build
    - 0003-Work-around-serious-regressions-in-GTK3.22.13.patch
      Add support for GTK+3.22.13 and later
    - disable-popover-animations.patch
      Panel popover animations cause flashes on some setups.  Disabling
      the panel popover animation resolves this.
  * Packaging Changes:

