## budgie-desktop 10.4+git20171031.10.g9f71bb8

=== debian/changelog ===
budgie-desktop (10.4+git20171031.10.g9f71bb8-1.2ubuntu1) bionic; urgency=medium

  * Bug fix release
    - add patch to fix system tray black backgrounds
      fix_black_tray_backgrounds.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 01 Apr 2018 20:28:30 +0100

budgie-desktop (10.4+git20171031.10.g9f71bb8-1.2) unstable; urgency=medium

  * Non-maintainer upload
  * Build-Depend on gnome-settings-daemon >= 3.28

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 17 Mar 2018 11:41:00 -0400

budgie-desktop (10.4+git20171031.10.g9f71bb8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload Ubuntu changes to unstable for mutter transition.
  * Depend on gnome-settings-daemon >= 3.26

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 10 Mar 2018 19:44:52 -0500

budgie-desktop (10.4+git20171031.10.g9f71bb8-1ubuntu4) bionic; urgency=medium

  * Mutter 3.28 transition (LP: #1751070)
    - Add patch to support GSD 3.27.90 and later
    - Add patch to support libmutter-2
  * Packaging Changes
    - Drop patch gsd.patch
    - Add patch 0002-Switch-to-checking-GSD-version-for-the-build-1319.patch
    - Add patch libmutter-2.patch
    - debian/control - libmutter so-name bump build-depends >= 3.27.91

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 03 Mar 2018 23:32:29 +0000

budgie-desktop (10.4+git20171031.10.g9f71bb8-1ubuntu3) bionic; urgency=medium

  * No-change rebuild against latest gnome-desktop3

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 16 Feb 2018 08:10:38 -0500

budgie-desktop (10.4+git20171031.10.g9f71bb8-1ubuntu2) bionic; urgency=medium

  * Bug-fix release
    - add patch 0001-Obtain-gsettings-transparency-key-value-before-showi.patch
      This patch allows panel transparency gsettings to be overridden
  * Packaging Changes
    - debian/control: Bump debhelper version to v11
    - debian/control: Bump Standards-Version (no changes required)

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 06 Feb 2018 20:15:30 +0000

budgie-desktop (10.4+git20171031.10.g9f71bb8-1ubuntu1) bionic; urgency=medium

  * Bug-fix release
    - fix autopkgtest build failure; simplify to check that the exe
      has been created correctly.
  * Packaging Changes
    - rename autopkgtest script

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 07 Nov 2017 18:33:47 +0000

budgie-desktop (10.4+git20171031.10.g9f71bb8-1) unstable; urgency=medium

  * Bug-fix release
    - fix FTBFS due to meson v0.43; budgie desktop (upstream) have
      released a signed tarball to resolve since it is not possible
      to cherry-pick the appropriate git commit
      https://github.com/budgie-desktop/budgie-desktop/issues/1228
  * Packaging Changes
    - debian/rules: support separate ubuntu and debian gsettings
      overrides
    - debian/rules: add bindnow hardening
    - debian/rules: install Budgie gi-typelib to a multiarch location
    - debian/control: Update standards version - add an autopkgtest
    - debian/copyright: gvc file-location changed from src to subprojects
    - debian/copyright: add Jeremy Bicha to packaging copyright

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 31 Oct 2017 17:46:07 +0000

budgie-desktop (10.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    - Build-Depend on libmutter-1-dev for GNOME 3.26 transition
    - Bump required gnome-settings-daemon to >= 3.25.4

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 13 Oct 2017 17:52:23 -0400
