## budgie-desktop 10.4+git20180830.02.f2dbc215fdb

=== debian/changelog ===
budgie-desktop (10.4+git20180830.02.f2dbc215fdb-2ubuntu0.2) cosmic; urgency=medium

  * cherrypick upstream commits
     - 0009-Polkit-Correctly-handle-the-user-dismissing-the-auth.patch
       Hopefully resolve fix polkit crashes reported on errors.ubuntu.com due
       to Polkit dialogs still having an open process when dismissed
       (LP: #1729947)
     - cleanup-keygrab.patch
       Correcly manage custom keys and hence resolve custom keys not
       occasionally working on logon (LP: #1824229)
     - close-raven-on-workspace-switch.patch
       Usability patch to correctly dismiss raven if opened when a workspace
       is switched (LP: #1825050)
     - Ensure animations remain working with newer versions of mutter
       (LP: #1824102) animations.patch
  * Packaging Changes
    - budgie-desktop.gsettings-override remove disabling animation override

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 10 Apr 2019 22:14:25 +0100

budgie-desktop (10.4+git20180830.02.f2dbc215fdb-2ubuntu0.1) cosmic; urgency=medium

  * cherrypick upstream commits (LP: #1811620)
    - fix_panel_autohide.patch
      Enable autohiding when using multiple budgie panels
    - deduplicate-menuall.patch
      deduplicate All category Menu
    - 0012-Force-raven-widget-show-hide-to-display-contents-cor.patch
      Ensure Raven controls can be correctly hidden if configured on
      a relogon

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 13 Jan 2019 19:23:14 +0000

budgie-desktop (10.4+git20180830.02.f2dbc215fdb-2) unstable; urgency=medium

  * Bug-fix release
    - Patch 0011-Override-new-mutter-vertical-workspace-layout.patch
      Restore horizontal scrolling when switching workspaces

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 07 Oct 2018 21:39:11 +0100

budgie-desktop (10.4+git20180830.02.f2dbc215fdb-1) unstable; urgency=medium

  * Bug-fix release
    - Add temporary gsettings override to disable animations to ensure
      windows do not leave visual artifacts
    - Patch 0009-Add-null-guards.patch
      Fix occasional workspace switch crashes
    - 0010-Ensure-focus-and-button-layout-keys-are-updated.patch
      Fix right/left decoration placement and mouse over focus
      issues
  * Packaging Changes
    - debian/rules - remove unneeded separate ubuntu/debian overrides
    - regenerate tarball with git submodule GVC pointing to new
      gitlab location
      https://gitlab.gnome.org/GNOME/libgnome-volume-control.git

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 26 Sep 2018 20:24:39 +0100

budgie-desktop (10.4+git20180830.01.f2dbc215fdb-3) unstable; urgency=medium

  * Build desktop icon support with debian/rules update
    - for Debian support is switched off (due to Nautilus 3.30
      transition) since budgie desktop settings would crash
      due to gsettings schema being missing
    - for Ubuntu support is switched on since using older
      version of Nautilus

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 08 Sep 2018 09:16:56 +0100

budgie-desktop (10.4+git20180830.01.f2dbc215fdb-2) unstable; urgency=medium

  * Release to unstable (Closes: #907939)
    - copy experimental package + packaging changes as described
  * Packaging Changes
    - Copyright updates

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 05 Sep 2018 14:59:49 +0100

budgie-desktop (10.4+git20180830.01.f2dbc215fdb-1) experimental; urgency=medium

  * Release to experimental (Closes: #907616)
    - base on ubuntu cosmic package; this includes a git release of
      budgie-desktop that will form the forthcoming v10.5 release.
      Includes additional patches to compile for mutter 3.30 plus
      current work-in-progress stability patches
  * Packaging Changes
    - budgie-core.lintian-overrides - revise explanation of the lintian
      false positive results with the objdump test to confirm the observations
    - bump control Standards-Version; no additional changes required
    - libraven0.symbols add two additional symbols for git release

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 30 Aug 2018 21:38:21 +0100

budgie-desktop (10.4+git20180830.01.f2dbc215fdb-0ubuntu1) cosmic; urgency=medium

  * Upstream Git release
  * drop caffeine patch since now incorporated into git master
  * 0003-Make-sure-vapi-workspace-def-use-real-c-header-filen.patch
    Fix to resolve alt+tab crashes (LP: #1788721)
  * 0004-Vala-0.41.92-does-not-allow-custom-getter-default-va.patch
    Add fix for vala compilation issues
  * 0005-Point-vapi-cheaders-to-their-upstream-equiv.patch
    Ensure vapi matches the correct C header file names
  * 0006-Install-missing-notification-icon-1545.patch
    Add fallback icon for 'disable all notifications' capability
  * 0007-Check-if-schema-is-defined-for-volume-slider-changes.patch
    Do not check for gnome sound schema for microphone slider
  * 0008-Add-copyright-for-notification-disabled-symbolic.svg.patch
    Ensure notification icon has a copyright statement in the source
  Packaging Changes:
    - rename numeric order for patches to be sequential
    - debian/copyright Add copyright for the additional git release icons

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 30 Aug 2018 10:21:26 +0100

budgie-desktop (10.4+git20180820.01.cb35f5b4f1c-0ubuntu1) cosmic; urgency=medium

  * Upstream Git release
  * Revise mutter3.30 patch to fix focus issues
  * Revise caffeine patch to use both fallback and actual theme icons if
    available
  * 0004-Correct-GNOME-button-layout-schema-path.patch
    Fix path to point to a valid schema
  * Packaging Changes:
    - debian/rules - remove the rename of the caffeine icons

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 20 Aug 2018 21:56:13 +0100

budgie-desktop (10.4+git20180806.02.933f78fc03d-0ubuntu1) cosmic; urgency=medium

  [Adam Conrad]
  * caffeine-cup-conflicts.patch: Avoid caffeine icon conflicts (LP: #1786107)

  [David Mohammed]
  * Upstream Git release
  * Add patch to support GNOME 3.29.4 mutter
  * Packaging Changes:

