=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
  gobject-introspection,
  gtk-doc-tools,
  libgee-0.8-dev,
- libglib2.0-dev,
+ libglib2.0-dev (>= 2.57),
  libgnome-bluetooth-dev (>= 3.16),
  libgnome-desktop-3-dev,
  libgnome-menu-3-dev,
  libgtk-3-dev,
- libmutter-2-dev (>= 3.27.91),
+ libmutter-3-dev (>= 3.29.90),
  libpeas-dev,
  libpolkit-agent-1-dev,
  libpolkit-gobject-1-dev,
@@ -31,14 +31,13 @@
  meson (>= 0.40.1),
  gnome-settings-daemon-dev (>= 3.28),
  sassc
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Vcs-Browser: https://github.com/UbuntuBudgie/budgie-desktop/tree/debian
 Vcs-Git: https://github.com/UbuntuBudgie/budgie-desktop -b debian
 
 Package: budgie-core
 Architecture: any
-Depends:
- ${misc:Depends},
+Depends: ${misc:Depends},
  ${shlibs:Depends}
 Description: Core package for Budgie-Desktop
  Budgie-Desktop is a GTK+ based desktop environment which focuses on
@@ -63,6 +62,7 @@
  libbudgie-plugin0 (= ${binary:Version}),
  libbudgietheme0 (= ${binary:Version}),
  libraven0 (= ${binary:Version}),
+ libbudgie-private0 (= ${binary:Version}),
  libglib2.0-dev,
  libgtk-3-dev,
  libpeas-dev,
@@ -184,3 +184,17 @@
  .
  This provides the budgie-desktop user-defined settings called raven.
 
+Package: libbudgie-private0
+Section: libs
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Description: Budgie Private library for budgie-desktop
+ Budgie-Desktop is a GTK+ based desktop environment which focuses on
+ simplicity and elegance.  It provides a traditional desktop metaphor
+ based interface utilising customisable panel based menu driven system.
+ Budgie-Desktop is written from scratch utilising many GNOME based
+ sub-systems such as GNOME-Session and Mutter.
+ .
+ This provides a private ABI for raven and the budgie panel
