=== debian/rules ===
--- 
+++ 
@@ -17,15 +17,16 @@
 		rm ./debian/ubuntu/applied ; \
 	fi
 endif
-	rm -f ./debian/budgie-desktop.gsettings-override
 
 override_dh_auto_configure:
+	mkdir -p debian/build
 ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)
 	patch -p1 < debian/ubuntu/show_nm-applet_in_tray.patch
 	touch ./debian/ubuntu/applied
+	cd debian/build && LDFLAGS="-Wl,-z,now -Wl,-z,relro" meson --buildtype plain --prefix=/usr --libdir=/usr/lib --sysconfdir=/etc ../..
+else
+	cd debian/build && LDFLAGS="-Wl,-z,now -Wl,-z,relro" meson -Dwith-desktop-icons=none --buildtype plain --prefix=/usr --libdir=/usr/lib --sysconfdir=/etc ../..
 endif
-	mkdir -p debian/build
-	cd debian/build && LDFLAGS="-Wl,-z,now -Wl,-z,relro" meson --buildtype plain --prefix=/usr --libdir=/usr/lib --sysconfdir=/etc ../..
 
 override_dh_auto_build:
 	cd debian/build && $(MAKE)
@@ -40,11 +41,6 @@
 	rm -rf "$(CURDIR)/debian/tmp/usr/lib/girepository-1.0"
 
 override_dh_installgsettings:
-ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)
-	cp ./debian/budgie-desktop.gsettings-override.ubuntu ./debian/budgie-desktop.gsettings-override
-else
-	cp ./debian/budgie-desktop.gsettings-override.debian ./debian/budgie-desktop.gsettings-override
-endif
 	# install override but budgie has to take precedence over
 	# gnome-shell defaults
 	dh_installgsettings --priority=15
